<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"template/start.php";
require_once"template/regglobals.php";
require_once"template/config.php";
require_once"template/functions.php";
require_once"template/antidos.php";
require_once"template/cookies.php";
require_once"template/gzip.php";
require_once"template/header.php";
require_once"template/referer.php";
include_once"themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


$dir = opendir ("local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg (".prof$", $file)) 
{$a[]=$file;}} 
closedir ($dir); 		
$total = count($a);
 
echo '<img src="images/img/menu.gif" alt=""> <b>Апгрейд системы (16/16.1 - 17.0)</b><br><br>';

//------------------------------- ШАГ ПЕРВЫЙ ------------------------------------//
if(!isset($action)){


echo 'В новой версии движка немного изменены данные в профилях, к примеру дата регистрации теперь записывается в UNIX-формате<br>';
echo 'Для полной совместимости системы необходимо пройти Апгрейд, изменяя всем пользователям дату<br>';
echo 'Обновление системы необходимо пройти только 1 раз, после этого этот файл удалить и забыть о нем<br>';
echo 'Перед тем как нажать на ссылку рекомендуем сделать бекап сайта из панели управления<br>';


echo '<br>Общее число пользователей: <b>'.(int)$total.'</b><br>';

//print_r($a);

echo'<br><img src="images/img/reload.gif" alt=""> <b><big><a href="UPGRADE.php?action=upgrade&amp;'.SID.'">Апгрейд</a></big></b><br>';
echo '<br>Если число участников очень большое и во время обновления, произошел сбой или скрипт остановился по тайм-ауту, нажмите на ссылку <b>Апгрейд</b> еще раз<br>';
}

if($action=="upgrade"){


////////////////////////////////
for($i=0;$i<$total;$i++){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$a[$i]"); 
$udata = explode(":||:",$ufile[0]);

if(!ctype_digit($udata[6]) && $udata[6]!=""){
list($uday, $umonth, $uyear) = explode(" ", $udata[6]); 

$umonth = str_replace("Января","1",$umonth);
$umonth = str_replace("Февраля","2",$umonth);
$umonth = str_replace("Марта","3",$umonth);
$umonth = str_replace("Апреля","4",$umonth);
$umonth = str_replace("Мая","5",$umonth);
$umonth = str_replace("Июня","6",$umonth);
$umonth = str_replace("Июля","7",$umonth);
$umonth = str_replace("Августа","8",$umonth);
$umonth = str_replace("Сентября","9",$umonth);
$umonth = str_replace("Октября","10",$umonth);
$umonth = str_replace("Ноября","11",$umonth);
$umonth = str_replace("Декабря","12",$umonth);

$usecond = mktime('0','0','0',$umonth,$uday,$uyear);

$udata[6]=$usecond;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$a[$i]","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
}
}
////////////////////////////

echo '<br>Профили пользователей успешно обновлены!<br>';
echo'<br><img src="images/img/reload.gif" alt=""> <b><a href="index.php?'.SID.'">ВХОД</a></b><br>';
}

echo'<br><img src="images/img/homepage.gif" alt=""> <a href="index.php?'.SID.'">На главную</a>';

include_once"themes/$config_themes/foot.php";
 ?>
